| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
deflate.h File Reference
`#include "zutil.h"`

Go to the source code of this file.

## Classes
struct | ct_data_s
struct | tree_desc_s
struct | internal_state

## Macros
#define | GZIP
#define | LENGTH_CODES 29
#define | LITERALS 256
#define | L_CODES (LITERALS+1+LENGTH_CODES)
#define | D_CODES 30
#define | BL_CODES 19
#define | HEAP_SIZE (2*L_CODES+1)
#define | MAX_BITS 15
#define | INIT_STATE 42
#define | EXTRA_STATE 69
#define | NAME_STATE 73
#define | COMMENT_STATE 91
#define | HCRC_STATE 103
#define | BUSY_STATE 113
#define | FINISH_STATE 666
#define | Freq fc.freq
#define | Code fc.code
#define | Dad dl.dad
#define | Len dl.len
#define | max_insert_length max_lazy_match
#define | put_byte(s, c) {s->pending_buf[s->pending++] = (c);}
#define | MIN_LOOKAHEAD (MAX_MATCH+MIN_MATCH+1)
#define | MAX_DIST(s) ((s)->w_size-MIN_LOOKAHEAD)
#define | WIN_INIT MAX_MATCH
#define | d_code(dist) ((dist) < 256 ? _dist_code[dist] : _dist_code[256+((dist)>>7)])
#define | _tr_tally_lit(s, c, flush)
#define | _tr_tally_dist(s, distance, length, flush)

## Typedefs
typedef struct ct_data_s | ct_data
typedef struct static_tree_desc_s | static_tree_desc
typedef struct tree_desc_s | tree_desc
typedef ush | Pos
typedef Pos FAR | Posf
typedef unsigned | IPos
typedef struct internal_state | deflate_state

## Functions
void ZLIB_INTERNAL _tr_init | OF ((deflate_state *s))
int ZLIB_INTERNAL _tr_tally | OF ((deflate_state *s, unsigned dist, unsigned lc))
void ZLIB_INTERNAL _tr_flush_block | OF ((deflate_state *s, charf *buf, ulg stored_len, int last))

## Variables
uch ZLIB_INTERNAL | _length_code []
uch ZLIB_INTERNAL | _dist_code []

## Macro Definition Documentation

#define _tr_tally_dist | ( |  | s,
|  |  | distance,
|  |  | length,
|  |  | flush
| ) |  |

Value:
{ uch len = (length); \
ush dist = (distance); \
s->d_buf[s->last_lit] = dist; \
s->l_buf[s->last_lit++] = len; \
dist--; \
s->dyn_ltree[_length_code[len]+LITERALS+1].Freq++; \
s->dyn_dtree[d_code(dist)].Freq++; \
flush = (s->last_lit == s->lit_bufsize-1); \
}
jpeg_error_mgr::s
char s[JMSG_STR_PARM_MAX]
Definition: jpeglib.h:663
LITERALS
#define LITERALS
Definition: deflate.h:33
d_code
#define d_code(dist)
Definition: deflate.h:301
uch
unsigned char uch
Definition: zutil.h:37
_length_code
uch ZLIB_INTERNAL _length_code[]
Definition: trees.c:109

Definition at line 326 of file deflate.h.

#define _tr_tally_lit | ( |  | s,
|  |  | c,
|  |  | flush
| ) |  |

Value:
{ uch cc = (c); \
s->d_buf[s->last_lit] = 0; \
s->l_buf[s->last_lit++] = cc; \
s->dyn_ltree[cc].Freq++; \
flush = (s->last_lit == s->lit_bufsize-1); \
}
jpeg_error_mgr::s
char s[JMSG_STR_PARM_MAX]
Definition: jpeglib.h:663
uch
unsigned char uch
Definition: zutil.h:37

Definition at line 319 of file deflate.h.

#define BL_CODES 19

Definition at line 42 of file deflate.h.

#define BUSY_STATE 113

Definition at line 56 of file deflate.h.

#define Code fc.code

Definition at line 74 of file deflate.h.

#define COMMENT_STATE 91

Definition at line 54 of file deflate.h.

#define d_code | ( |  | dist | ) | ((dist) < 256 ? _dist_code[dist] : _dist_code[256+((dist)>>7)])

Definition at line 301 of file deflate.h.

#define D_CODES 30

Definition at line 39 of file deflate.h.

#define Dad dl.dad

Definition at line 75 of file deflate.h.

#define EXTRA_STATE 69

Definition at line 52 of file deflate.h.

#define FINISH_STATE 666

Definition at line 57 of file deflate.h.

#define Freq fc.freq

Definition at line 73 of file deflate.h.

#define GZIP

Definition at line 23 of file deflate.h.

#define HCRC_STATE 103

Definition at line 55 of file deflate.h.

#define HEAP_SIZE (2*L_CODES+1)

Definition at line 45 of file deflate.h.

#define INIT_STATE 42

Definition at line 51 of file deflate.h.

#define L_CODES (LITERALS+1+LENGTH_CODES)

Definition at line 36 of file deflate.h.

#define Len dl.len

Definition at line 76 of file deflate.h.

#define LENGTH_CODES 29

Definition at line 30 of file deflate.h.

#define LITERALS 256

Definition at line 33 of file deflate.h.

#define MAX_BITS 15

Definition at line 48 of file deflate.h.

#define MAX_DIST | ( |  | s | ) | ((s)->w_size-MIN_LOOKAHEAD)

Definition at line 283 of file deflate.h.

#define max_insert_length max_lazy_match

Definition at line 176 of file deflate.h.

#define MIN_LOOKAHEAD (MAX_MATCH+MIN_MATCH+1)

Definition at line 278 of file deflate.h.

#define NAME_STATE 73

Definition at line 53 of file deflate.h.

#define put_byte | ( |  | s,
|  |  | c
| ) |  | {s->pending_buf[s->pending++] = (c);}

Definition at line 275 of file deflate.h.

#define WIN_INIT MAX_MATCH

Definition at line 288 of file deflate.h.

## Typedef Documentation

typedef struct ct_data_s ct_data

typedef struct internal_state deflate_state

typedef unsigned IPos

Definition at line 88 of file deflate.h.

typedef ush Pos

Definition at line 86 of file deflate.h.

typedef Pos FAR Posf

Definition at line 87 of file deflate.h.

typedef struct static_tree_desc_s static_tree_desc

Definition at line 78 of file deflate.h.

typedef struct tree_desc_s tree_desc

## Function Documentation

void ZLIB_INTERNAL _tr_init OF | ( | (deflate_state *s) |  | ) |

int ZLIB_INTERNAL _tr_tally OF | ( | (deflate_state *s, unsigned dist, unsigned lc) |  | ) |

void ZLIB_INTERNAL _tr_flush_block OF | ( | (deflate_state *s, charf *buf, ulg stored_len, int last) |  | ) |

## Variable Documentation

uch ZLIB_INTERNAL _dist_code[]

Definition at line 103 of file trees.c.

uch ZLIB_INTERNAL _length_code[]

Definition at line 109 of file trees.c.